---
title: HTMLSelectElement.setCustomValidity()
slug: Web/API/HTMLSelectElement/setCustomValidity
tags:
  - API
  - Constrain Validation API
  - HTML DOM
  - HTMLSelectElement
  - Method
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <code><strong>HTMLSelectElement.setCustomValidity()</strong></code> method sets the custom validity message for the selection element to the specified message. Use the empty string to indicate that the element does <em>not</em> have a custom validity error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>selectElt</em>.setCustomValidity(<em>string</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>string</code> is the {{domxref("DOMString")}} containing the error message.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-cva-setcustomvalidity', 'HTMLSelectElement.setCustomValidity()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change since the latest snapshot, {{SpecName('HTML5 W3C')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'forms.html#dom-cva-setcustomvalidity', 'HTMLSelectElement.setCustomValidity()')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition, snapshot of {{SpecName('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLSelectElement.setCustomValidity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/HTML/HTML5/Constraint_validation">Form validation.</a></li>
</ul>
